Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Interface FrameListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  FrameAdapter

    public interface FrameListener

extends EventListener

Listener interface for frame events.

Author:
  Ray Fergerson

Method Summary
`void` | `browserTextChanged(FrameEvent event)`
`void` | `deleted(FrameEvent event)`
`void` | `nameChanged(FrameEvent event)` This routine should be called replaceFrame but for backwards compatibility reasons we cannot change this.
`void` | `ownFacetAdded(FrameEvent event)`
`void` | `ownFacetRemoved(FrameEvent event)`
`void` | `ownFacetValueChanged(FrameEvent event)`
`void` | `ownSlotAdded(FrameEvent event)`
`void` | `ownSlotRemoved(FrameEvent event)`
`void` | `ownSlotValueChanged(FrameEvent event)`
`void` | `visibilityChanged(FrameEvent event)`

Method Detail

### browserTextChanged

    void browserTextChanged(FrameEvent event)

### deleted

    void deleted(FrameEvent event)

### nameChanged

    void nameChanged(FrameEvent event)

  This routine should be called replaceFrame but for backwards compatibility reasons we cannot change this. The closest thing in Protege frames to a rename frame operation is a replace frame operation where a frame is deleted and a new frame is created which is identical to the original except for the name. When this happens the following method is called.

### ownFacetAdded

    void ownFacetAdded(FrameEvent event)

### ownFacetRemoved

    void ownFacetRemoved(FrameEvent event)

### ownFacetValueChanged

    void ownFacetValueChanged(FrameEvent event)

### ownSlotAdded

    void ownSlotAdded(FrameEvent event)

### ownSlotRemoved

    void ownSlotRemoved(FrameEvent event)

### ownSlotValueChanged

    void ownSlotValueChanged(FrameEvent event)

### visibilityChanged

    void visibilityChanged(FrameEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.